Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Class ValueHandlerFactory.LongValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<Long>
          org.hibernate.ejb.criteria.ValueHandlerFactory.LongValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<Long>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.LongValueHandler

extends ValueHandlerFactory.BaseValueHandler<Long>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.LongValueHandler` | `INSTANCE`

Constructor Summary
`ValueHandlerFactory.LongValueHandler()`

Method Summary
`Long` | `convert(Object value)`
`String` | `render(Long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.LongValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.LongValueHandler

    public ValueHandlerFactory.LongValueHandler()

Method Detail

### convert

    public Long convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<Long>`

### render

    public String render(Long value)

  Specified by:
    `render` in interface `ValueHandlerFactory.ValueHandler<Long>`
  Overrides:
    `render` in class `ValueHandlerFactory.BaseValueHandler<Long>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.